<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimCalorimeterHitCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_sim_calorimeter_hit_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimCalorimeterHitCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::SimCalorimeterHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_calorimeter_hit_collection__inherit__graph.png" border="0" usemap="#eic_1_1_sim_calorimeter_hit_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_sim_calorimeter_hit_collection_inherit__map" id="eic_1_1_sim_calorimeter_hit_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::SimCalorimeterHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_calorimeter_hit_collection__coll__graph.png" border="0" usemap="#eic_1_1_sim_calorimeter_hit_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_sim_calorimeter_hit_collection_coll__map" id="eic_1_1_sim_calorimeter_hit_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2c24a9749774491918efe8bf294011d2"><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a></td></tr>
<tr class="separator:a2c24a9749774491918efe8bf294011d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1b3f879bcb71b2664f46ccaa2c613ce2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1b3f879bcb71b2664f46ccaa2c613ce2">SimCalorimeterHitCollection</a> ()</td></tr>
<tr class="separator:a1b3f879bcb71b2664f46ccaa2c613ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6711126a3061a862fe8122c9869dbea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#aa6711126a3061a862fe8122c9869dbea">~SimCalorimeterHitCollection</a> ()</td></tr>
<tr class="separator:aa6711126a3061a862fe8122c9869dbea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1214695f0e488bfab9553ecb35a1304a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1214695f0e488bfab9553ecb35a1304a">clear</a> () override final</td></tr>
<tr class="separator:a1214695f0e488bfab9553ecb35a1304a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a179dd787566c78f4b5c038f2d418f0a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a179dd787566c78f4b5c038f2d418f0a1">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a179dd787566c78f4b5c038f2d418f0a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a179dd787566c78f4b5c038f2d418f0a1">More...</a><br /></td></tr>
<tr class="separator:a179dd787566c78f4b5c038f2d418f0a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab156f24866f474be4c00c320557a219b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">create</a> ()</td></tr>
<tr class="memdesc:ab156f24866f474be4c00c320557a219b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#ab156f24866f474be4c00c320557a219b">More...</a><br /></td></tr>
<tr class="separator:ab156f24866f474be4c00c320557a219b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d06c02d6989aae3d09709c0b668aefb"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a7d06c02d6989aae3d09709c0b668aefb"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7d06c02d6989aae3d09709c0b668aefb">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a7d06c02d6989aae3d09709c0b668aefb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5421dae73eb34b9621874dd683937523"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a> () const override final</td></tr>
<tr class="memdesc:a5421dae73eb34b9621874dd683937523"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a5421dae73eb34b9621874dd683937523">More...</a><br /></td></tr>
<tr class="separator:a5421dae73eb34b9621874dd683937523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8984434231f303057d91046dc103eef"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#af8984434231f303057d91046dc103eef">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:af8984434231f303057d91046dc103eef"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#af8984434231f303057d91046dc103eef">More...</a><br /></td></tr>
<tr class="separator:af8984434231f303057d91046dc103eef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f2144361c5cd4be1c619c96caffd3d8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7f2144361c5cd4be1c619c96caffd3d8">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a7f2144361c5cd4be1c619c96caffd3d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a7f2144361c5cd4be1c619c96caffd3d8">More...</a><br /></td></tr>
<tr class="separator:a7f2144361c5cd4be1c619c96caffd3d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82f278eca5c1477a8165fc578291c9b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a82f278eca5c1477a8165fc578291c9b5">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a82f278eca5c1477a8165fc578291c9b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a82f278eca5c1477a8165fc578291c9b5">More...</a><br /></td></tr>
<tr class="separator:a82f278eca5c1477a8165fc578291c9b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a16529423bf3d4a41d991d25cd5991"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a11a16529423bf3d4a41d991d25cd5991">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a11a16529423bf3d4a41d991d25cd5991"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a11a16529423bf3d4a41d991d25cd5991">More...</a><br /></td></tr>
<tr class="separator:a11a16529423bf3d4a41d991d25cd5991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77bcdd98c0a4497d8c7e0ea18ccd5f99"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a77bcdd98c0a4497d8c7e0ea18ccd5f99">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a77bcdd98c0a4497d8c7e0ea18ccd5f99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a77bcdd98c0a4497d8c7e0ea18ccd5f99">More...</a><br /></td></tr>
<tr class="separator:a77bcdd98c0a4497d8c7e0ea18ccd5f99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9842bda21b25b1a46f7255264e459560"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9842bda21b25b1a46f7255264e459560">push_back</a> (<a class="el" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> object)</td></tr>
<tr class="memdesc:a9842bda21b25b1a46f7255264e459560"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a9842bda21b25b1a46f7255264e459560">More...</a><br /></td></tr>
<tr class="separator:a9842bda21b25b1a46f7255264e459560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca83d821165a9c9a33f8abde2fbdeba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a4ca83d821165a9c9a33f8abde2fbdeba">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a4ca83d821165a9c9a33f8abde2fbdeba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a232dc8b0dc37d09b3c5e5aeea580938c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a232dc8b0dc37d09b3c5e5aeea580938c">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a232dc8b0dc37d09b3c5e5aeea580938c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2618d527b07825a0d418b3f74c6b13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#add2618d527b07825a0d418b3f74c6b13">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:add2618d527b07825a0d418b3f74c6b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e11c301beef8498fb9fed18c968bbf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab9e11c301beef8498fb9fed18c968bbf">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:ab9e11c301beef8498fb9fed18c968bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ba003b64fa9673973efe50140ff96ab"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a3ba003b64fa9673973efe50140ff96ab">referenceCollections</a> () override final</td></tr>
<tr class="separator:a3ba003b64fa9673973efe50140ff96ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57ddf4cc874633546a52ed4ad35ac15"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac57ddf4cc874633546a52ed4ad35ac15">vectorMembers</a> () override</td></tr>
<tr class="separator:ac57ddf4cc874633546a52ed4ad35ac15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25c0ee5b08f4dccf7170e206518665d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac25c0ee5b08f4dccf7170e206518665d">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:ac25c0ee5b08f4dccf7170e206518665d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ddee2b35ca958eab9734493a91853a"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a31ddee2b35ca958eab9734493a91853a">getID</a> () const override final</td></tr>
<tr class="separator:a31ddee2b35ca958eab9734493a91853a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38877552f2392f685044b7b750b75729"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a38877552f2392f685044b7b750b75729">isValid</a> () const override final</td></tr>
<tr class="separator:a38877552f2392f685044b7b750b75729"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cde05f0c9ae5334a7da126a161d1b9c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9cde05f0c9ae5334a7da126a161d1b9c">begin</a> () const</td></tr>
<tr class="separator:a9cde05f0c9ae5334a7da126a161d1b9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1cc2156c45b809122973ab5cf36ef9a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#ae1cc2156c45b809122973ab5cf36ef9a">end</a> () const</td></tr>
<tr class="separator:ae1cc2156c45b809122973ab5cf36ef9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a413bc8fc5e5e32950c64f3432a1541e4"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a413bc8fc5e5e32950c64f3432a1541e4">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a413bc8fc5e5e32950c64f3432a1541e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a413bc8fc5e5e32950c64f3432a1541e4">More...</a><br /></td></tr>
<tr class="separator:a413bc8fc5e5e32950c64f3432a1541e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bdb3bb48776c33834699e8f2f1aeed2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2bdb3bb48776c33834699e8f2f1aeed2">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a2bdb3bb48776c33834699e8f2f1aeed2"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the pointer to the data buffer  <a href="#a2bdb3bb48776c33834699e8f2f1aeed2">More...</a><br /></td></tr>
<tr class="separator:a2bdb3bb48776c33834699e8f2f1aeed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a102ffc7c7df7a7bb484fac7d27cc87bb"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a102ffc7c7df7a7bb484fac7d27cc87bb"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">cellID0</a> () const</td></tr>
<tr class="separator:a102ffc7c7df7a7bb484fac7d27cc87bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fcf5635e1c3113d034f01b1a01488ae"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a1fcf5635e1c3113d034f01b1a01488ae"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">cellID1</a> () const</td></tr>
<tr class="separator:a1fcf5635e1c3113d034f01b1a01488ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a477f9443795a3d380506e7ab59f60033"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a477f9443795a3d380506e7ab59f60033"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">energy</a> () const</td></tr>
<tr class="separator:a477f9443795a3d380506e7ab59f60033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89a30657e728a226663d65aa2b617d34"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a89a30657e728a226663d65aa2b617d34"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">time</a> () const</td></tr>
<tr class="separator:a89a30657e728a226663d65aa2b617d34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a797bf5bfe7c34e54373c402c9c47a2a2"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a797bf5bfe7c34e54373c402c9c47a2a2"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; float, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a797bf5bfe7c34e54373c402c9c47a2a2">position</a> () const</td></tr>
<tr class="separator:a797bf5bfe7c34e54373c402c9c47a2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc7eb5b124cde318a1787a57973eb07f"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:adc7eb5b124cde318a1787a57973eb07f"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; class std::array&lt; float, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#adc7eb5b124cde318a1787a57973eb07f">position</a> () const</td></tr>
<tr class="separator:adc7eb5b124cde318a1787a57973eb07f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a2c24a9749774491918efe8bf294011d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c24a9749774491918efe8bf294011d2">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">eic::SimCalorimeterHitCollection::const_iterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1b3f879bcb71b2664f46ccaa2c613ce2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b3f879bcb71b2664f46ccaa2c613ce2">&#9670;&nbsp;</a></span>SimCalorimeterHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitCollection::SimCalorimeterHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00011">11</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="aa6711126a3061a862fe8122c9869dbea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6711126a3061a862fe8122c9869dbea">&#9670;&nbsp;</a></span>~SimCalorimeterHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitCollection::~SimCalorimeterHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00015">15</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00048">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2bdb3bb48776c33834699e8f2f1aeed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bdb3bb48776c33834699e8f2f1aeed2">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a>&gt;* eic::SimCalorimeterHitCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00098">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a11a16529423bf3d4a41d991d25cd5991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11a16529423bf3d4a41d991d25cd5991">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00025">25</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a77bcdd98c0a4497d8c7e0ea18ccd5f99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77bcdd98c0a4497d8c7e0ea18ccd5f99">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00033">33</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a9cde05f0c9ae5334a7da126a161d1b9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cde05f0c9ae5334a7da126a161d1b9c">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a> eic::SimCalorimeterHitCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a102ffc7c7df7a7bb484fac7d27cc87bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a102ffc7c7df7a7bb484fac7d27cc87bb">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::SimCalorimeterHitCollection::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00168">168</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00117">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1fcf5635e1c3113d034f01b1a01488ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fcf5635e1c3113d034f01b1a01488ae">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::SimCalorimeterHitCollection::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00177">177</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00117">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1214695f0e488bfab9553ecb35a1304a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1214695f0e488bfab9553ecb35a1304a">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00048">48</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00015">~SimCalorimeterHitCollection()</a>.</p>

</div>
</div>
<a id="ab156f24866f474be4c00c320557a219b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab156f24866f474be4c00c320557a219b">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00041">41</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a7d06c02d6989aae3d09709c0b668aefb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d06c02d6989aae3d09709c0b668aefb">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00160">160</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="ae1cc2156c45b809122973ab5cf36ef9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1cc2156c45b809122973ab5cf36ef9a">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a> eic::SimCalorimeterHitCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a477f9443795a3d380506e7ab59f60033"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a477f9443795a3d380506e7ab59f60033">&#9670;&nbsp;</a></span>energy()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::SimCalorimeterHitCollection::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00186">186</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00117">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a413bc8fc5e5e32950c64f3432a1541e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a413bc8fc5e5e32950c64f3432a1541e4">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::SimCalorimeterHitCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a31ddee2b35ca958eab9734493a91853a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ddee2b35ca958eab9734493a91853a">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::SimCalorimeterHitCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="af8984434231f303057d91046dc103eef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8984434231f303057d91046dc103eef">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::SimCalorimeterHitCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a38877552f2392f685044b7b750b75729"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38877552f2392f685044b7b750b75729">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::SimCalorimeterHitCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a179dd787566c78f4b5c038f2d418f0a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a179dd787566c78f4b5c038f2d418f0a1">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>* eic::SimCalorimeterHitCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a7f2144361c5cd4be1c619c96caffd3d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f2144361c5cd4be1c619c96caffd3d8">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00021">21</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a82f278eca5c1477a8165fc578291c9b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82f278eca5c1477a8165fc578291c9b5">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> eic::SimCalorimeterHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00029">29</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a797bf5bfe7c34e54373c402c9c47a2a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a797bf5bfe7c34e54373c402c9c47a2a2">&#9670;&nbsp;</a></span>position() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;std::array&lt;float, 3&gt;,arraysize&gt; eic::SimCalorimeterHitCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc7eb5b124cde318a1787a57973eb07f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc7eb5b124cde318a1787a57973eb07f">&#9670;&nbsp;</a></span>position() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;class std::array&lt;float, 3&gt;, arraysize&gt; eic::SimCalorimeterHitCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00204">204</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="a232dc8b0dc37d09b3c5e5aeea580938c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a232dc8b0dc37d09b3c5e5aeea580938c">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00067">67</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a4ca83d821165a9c9a33f8abde2fbdeba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ca83d821165a9c9a33f8abde2fbdeba">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00055">55</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00037">size()</a>.</p>

</div>
</div>
<a id="a9842bda21b25b1a46f7255264e459560"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9842bda21b25b1a46f7255264e459560">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00084">84</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00037">size()</a>.</p>

</div>
</div>
<a id="a3ba003b64fa9673973efe50140ff96ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ba003b64fa9673973efe50140ff96ab">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::SimCalorimeterHitCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="add2618d527b07825a0d418b3f74c6b13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add2618d527b07825a0d418b3f74c6b13">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00096">96</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="ac25c0ee5b08f4dccf7170e206518665d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac25c0ee5b08f4dccf7170e206518665d">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimCalorimeterHitCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<a id="ab9e11c301beef8498fb9fed18c968bbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9e11c301beef8498fb9fed18c968bbf">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::SimCalorimeterHitCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00078">78</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

</div>
</div>
<a id="a5421dae73eb34b9621874dd683937523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5421dae73eb34b9621874dd683937523">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::SimCalorimeterHitCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00037">37</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00117">eic::operator&lt;&lt;()</a>, <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00055">prepareForWrite()</a>, and <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00084">push_back()</a>.</p>

</div>
</div>
<a id="a89a30657e728a226663d65aa2b617d34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89a30657e728a226663d65aa2b617d34">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::SimCalorimeterHitCollection::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00195">195</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html#l00117">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ac57ddf4cc874633546a52ed4ad35ac15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac57ddf4cc874633546a52ed4ad35ac15">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::SimCalorimeterHitCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_calorimeter_hit_collection_8h_source.html">SimCalorimeterHitCollection.h</a></li>
<li>src/<a class="el" href="_sim_calorimeter_hit_collection_8cc_source.html">SimCalorimeterHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
